if [ "$1" = "--status" ]; then
    if pgrep -x "hypridle" >/dev/null; then
        echo 1
    else
        echo 0
    fi
    exit 0
fi

if pgrep -x "hypridle" >/dev/null; then
    killall hypridle
else
    hypridle &
fi